/*-------------------------------------------------------------------------
**
**                    Copyright (c) 1994 James R. Dyvig
** 
** Permission to use, copy, modify, and distribute this software and its
** documentation for educational, research, and non-profit purposes
** without fee is hereby granted, provided that the above copyright notice
** appear in all copies and that both that copyright notice and this
** permission notice appear in supporting documentation.
** 
** Permission to incorporate this software into commercial products can be
** obtained with the written consent of the author.
** 
** This software is provided AS IS with no warranties of any kind.  The
** author shall have no liability with respect to the infringement of
** copyrights, trade secrets or any patents by this file or any part
** thereof.  In no event will the author be liable for any lost revenue or
** profits or other special, indirect and consequential damages.
**
**-------------------------------------------------------------------------
*/
/*-----------------------------------------------------------------
** Header:
**	utils.h
**
*/

Widget make_menu_separator(Widget menu);
Widget make_menu_item(char *name, void *callback, XtPointer data, Widget menu);
Widget make_menu(char *name, Widget menu_bar);
Widget make_help_menu(char *name, Widget menu_bar);
void make_frame(char *name, Widget parent, Widget *form, Widget *frame);
void warning(Widget w, char *info_string);
void del_window(Widget w, Widget shell, XtPointer cbs);
Widget new_window(Widget w,char *app_title,char *title, int width, int height);
Widget new_edit_window(Widget w,char *app_title,char *title,
	int width, int height);
void edit_file(Widget w, char *filename);
void show_file(Widget w, char *app_title, char *title, char *filename);
void show_text_block(Widget w, char *app_title, char *title, char *textblock);
char *read_file(char *filename);
char *get_file_path(char *env_var, char *filename);
