/*-------------------------------------------------------------------------
**
**                    Copyright (c) 1994 James R. Dyvig
** 
** Permission to use, copy, modify, and distribute this software and its
** documentation for educational, research, and non-profit purposes
** without fee is hereby granted, provided that the above copyright notice
** appear in all copies and that both that copyright notice and this
** permission notice appear in supporting documentation.
** 
** Permission to incorporate this software into commercial products can be
** obtained with the written consent of the author.
** 
** This software is provided AS IS with no warranties of any kind.  The
** author shall have no liability with respect to the infringement of
** copyrights, trade secrets or any patents by this file or any part
** thereof.  In no event will the author be liable for any lost revenue or
** profits or other special, indirect and consequential damages.
**
**-------------------------------------------------------------------------
*/
#ifndef _IB_DIRECTORY_
#define _IB_DIRECTORY_

/*-----------------------------------------------------------------
** Include:
**	ib_directory.h
**
*/
#include <Xm/Xm.h>
#include "list.h"

/*-------- ib_directory --------*/
typedef struct {
	list		*target_list;
} ib_directory;


/*-------- Prototypes --------*/
ib_directory	*new_ib_directory(void);
void		zap_ib_directory(ib_directory *d);

#endif
